=begin pod

=TITLE class X::Anon::Augment

    class X::Anon::Augment does X::Comp { }

Compile time error thrown when trying to augment an anonymous package.

For example

    use MONKEY_TYPING;
    augment class { }

Dies with

    ===SORRY!===
    Cannot augment anonymous class

=head1 Methods

=head2 package-kind

    method package-kind returns Str:D

Returns the kind of package (module, class, grammar, ...) that the code
tried to augment.

=end pod
